javax.servlet

## Interface Registration.Dynamic

All Superinterfaces:
  Registration

All Known Subinterfaces:
  FilterRegistration.Dynamic, ServletRegistration.Dynamic

Enclosing interface:
  Registration

    public static interface Registration.Dynamic
    extends Registration

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.servlet.Registration

`Registration.Dynamic`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setAsyncSupported(boolean isAsyncSupported)`

### Methods inherited from interface javax.servlet.Registration

`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

### Method Detail

#### setAsyncSupported

    void setAsyncSupported(boolean isAsyncSupported)

Parameters:
  `isAsyncSupported` -
Throws:
  `java.lang.IllegalStateException`